Skip to main content
DELETE
/
v1
/
webhook_subscriptions
/
{id}
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

const webhookSubscription = await client.webhookSubscriptions.delete(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);

console.log(webhookSubscription.id);
{
  "id": "<string>",
  "type": "webhook_subscription",
  "url": "<string>",
  "events": [
    "payout.created"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Path Parameters

id
string<uuid>
required

Unique identifier of the webhook subscription.

Response

200 - application/json

The deleted webhook subscription resource

id
string
required

Unique identifier of the webhook subscription.

type
enum<string>
required

Resource type discriminator.

Available options:
webhook_subscription
url
string
required

The HTTPS URL where webhook events are delivered.

events
enum<string>[]
required

Event types this subscription receives.

Event type the subscription receives.

Available options:
payout.created,
payout.initiated,
payout.paid,
payout.failed,
return.initiated,
return.paid,
return.failed,
return.returned,
deposit.received,
conversion.created,
conversion.completed,
conversion.failed
created_at
string<date-time>
required

ISO 8601 UTC timestamp when the subscription was created.

updated_at
string<date-time>
required

ISO 8601 UTC timestamp when the subscription was last updated.